Bug 984928 - Dist-geo-rep : After add-brick geo-rep session goes to faulty for sometime.
Dist-geo-rep : After add-brick geo-rep session goes to faulty for sometime.
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
2.1
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
amainkar
usability
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 07:46 EDT by Vijaykumar Koppad
Modified: 2015-11-25 03:50 EST (History)
8 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0.15rhs-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 03:48:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2013-07-16 07:46:32 EDT
Description of problem: After adding bricks to the volume, the status of the existing geo-rep session goes to faulty for a min, and geo-rep logs says, 

[2013-07-16 16:31:46.466895] E [syncdutils(/bricks/brick2):200:log_raise_exception] <top>: glusterfs session went down
 [ECONNABORTED]
[2013-07-16 16:31:46.467538] I [syncdutils(/bricks/brick2):158:finalize] <top>: exiting.
[2013-07-16 16:31:46.481292] I [monitor(monitor):81:set_state] Monitor: new state: faulty


Version-Release number of selected component (if applicable):3.4.0.12rhs.beta4-1.el6rhs.x86_64


How reproducible: Happens every time


Steps to Reproduce:
1.Create and start a geo-rep relationship between master(dist-rep) and slave.
2.Let status become stable.
3.Now add bricks to the master volume.
4.Check the status of the master volume.

Actual results: After add-brick, status become faulty for sometime.


Expected results: Geo-rep status should be stable after add-bricks.


Additional info:
Comment 2 Vijaykumar Koppad 2013-08-05 04:37:32 EDT
Tried on glusterfs-3.4.0.15rhs-1
Comment 6 Aravinda VK 2015-11-25 03:48:11 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.
Comment 7 Aravinda VK 2015-11-25 03:50:25 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.

Note You need to log in before you can comment on or make changes to this bug.